Win a copy of The Way of the Web Tester: A Beginner's Guide to Automating Tests this week in the Testing forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

java.lang.AssertionError: {unused}. Exception using ant 1.6.5 and JDK1.5.0_10

ved gunjan
Ranch Hand
Posts: 86
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Im using apache-ant-1.6.5 and jdk1.5.0_10. When im compiling my application using ant, im getting the following exception.It complains about the compiler crash..
Here's the snap shot of the exception im getting.
An exception has occurred in the compiler (1.5.0_10). Please file a bug at the Java Developer Connection ( after checking the Bug Parade for duplicates. Include your program and the following diagnostic in your report. Thank you. [javac] java.lang.AssertionError: {unused} [javac] at$AnnotationBuilder.visitArray( [javac] at$Array.accept( [javac] at$AnnotationBuilder.translate( [javac] at$AnnotationBuilder.visitCompoundInternal( [javac] at$AnnotationBuilder.translate( [javac] at [javac] at [javac] at [javac] at [javac] at [javac] at$ForeachLoop.accept( [javac] at [javac] at [javac] at [javac] at [javac] at$Block.accept( [javac] at [javac] at [javac] at [javac] at

Can any one tell me what's going on here. I need help urgently as im stuck. Any help will be great.

Thanks Ved.
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic